Upgrade from 1.19 to 2.1 mishap

    • Major Upgrade
    • Upgrade 1.x -> 2.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Upgrade from 1.19 to 2.1 mishap

      I ran omv-release-upgrade. and it stopped here, during the Configuration of the Openmediavault package:
      I do not know this passphrase, I have removed ssl with the openmediavault omv-firstaid command already. So now I am stuck... can anyone help me?

      Setting up openmediavault (2.1) ...
      Updating configuration ...
      Reloading nginx configuration: nginx.
      Enter passphrase:
      load failed
    • I have this problem, too:

      root@pi-nas:/home/pi# apt-get dist-upgrade
      Paketlisten werden gelesen... Fertig
      Abhängigkeitsbaum wird aufgebaut.
      Statusinformationen werden eingelesen.... Fertig
      Paketaktualisierung (Upgrade) wird berechnet... Fertig
      0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
      1 nicht vollständig installiert oder entfernt.
      Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
      Möchten Sie fortfahren [J/n]? j
      openmediavault (2.1) wird eingerichtet ...
      Updating configuration ...
      Reloading nginx configuration: nginx.
      Enter passphrase:
      load failed
      dpkg: Fehler beim Bearbeiten von openmediavault (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      Fehler traten auf beim Bearbeiten von:
      openmediavault
      Creating index of upgradeable packages ...
      Creating index of OpenMediaVault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)


      I have no idea what I should type in.

      Now I can't user the "web admin interface". After login, I get a white page.

      What should I do now?
    • Did you setup a ssl certificate to use with the weg gui???? Did you try to leave it blank? If you tried leaving it bland I would try "openmediavault". If that does not work we need to hear from Volker.

      You can try to use this to configure it again:
      dpkg --configure -a


      This is what I think the problem is:
      forum.nginx.org/read.php?2,214641,214641

      @votdev is there a passphrase created for the web gui generated ssl certs????

      The post was edited 4 times, last by tekkb ().

    • I connect with http.

      Is it possible that this error have something to do with Plex? Before I upgraded OMV there was some errors about Plex so I followed these instructions and removed one plex file in the folder /etc/apt/sources.list.d.
      patching OMV does not work anymore - seems like Plex is maybe causing this?

      Plex have also recently started using SSL.
      blog.plex.tv/2015/06/04/its-no…re-communication-arrives/
    • I'm sorry, i also do not really have an idea where the problem comes from. The only code that is executed and could be the origin of the problem is 'ssh-keygen' (see sourceforge.net/p/openmediavau…n/openmediavault.postinst) where it converts the public key. I don't know if this call requires the password in some case, but i don't think so.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • So, I searched and found how to genarate a new ssh-key.

      Now, I generated a new ssh-key like this:
      ssh-keygen -t rsa -b 4096 -C "my_email@example.com"

      After that, I opend the web admin - I got this error and continued - but the web admin is open :) :
      Ein Skript auf dieser Seite ist eventuell beschäftigt oder es antwortet nicht mehr. Sie können das Skript jetzt stoppen, im Debugger öffnen oder weiter ausführen.

      Skript: 192.168.0.101/extjs/ext-all.js:22


      The next way was to see the 'actuell' certificates.
      My old SSL-certificate is included and I can gernerate a new one, but I can't see details:
      Fehler #4000:
      exception 'OMVException' with message 'Failed to execute command 'openssl x509 -text -noout -in /certs/a7b63a92-8559-4ac0-8eef-3742406b8272.crt 2>&1': Error opening Certificate /certs/a7b63a92-8559-4ac0-8eef-3742406b8272.crt
      3069732048:error:02001002:system library:fopen:No such file or directory:bss_file.c:398:fopen('/certs/a7b63a92-8559-4ac0-8eef-3742406b8272.crt','r')
      3069732048:error:20074002:BIO routines:FILE_CTRL:system lib:bss_file.c:400:
      unable to load certificate' in /usr/share/openmediavault/engined/rpc/certificatemgmt.inc:291
      Stack trace:
      #0 [internal function]: OMVRpcServiceCertificateMgmt->getDetail(Array, Array)
      #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('getDetail', Array, Array)
      #3 /usr/sbin/omv-engined(500): OMVRpc::exec('CertificateMgmt', 'getDetail', Array, Array, 1)
      #4 {main}


      An update via CLI is also not possible because there is an open update and the "passphrase" is allways needed:
      ...
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      1 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Setting up openmediavault (2.1.1) ...
      Updating configuration ...
      Reloading nginx configuration: nginx.
      Enter passphrase:
      load failed
      dpkg: error processing openmediavault (--configure):
      subprocess installed post-installation script returned error exit status 1
      Errors were encountered while processing:
      openmediavault
      ...
    • tree wrote:

      So, I searched and found how to genarate a new ssh-key.

      Now, I generated a new ssh-key like this:
      ssh-keygen -t rsa -b 4096 -C "my_email@example.com"

      After that, I opend the web admin - I got this error and continued - but the web admin is open :) :
      Ein Skript auf dieser Seite ist eventuell beschäftigt oder es antwortet nicht mehr. Sie können das Skript jetzt stoppen, im Debugger öffnen oder weiter ausführen.

      Skript: 192.168.0.101/extjs/ext-all.js:22


      The next way was to see the 'actuell' certificates.
      My old SSL-certificate is included and I can gernerate a new one, but I can't see details:
      Fehler #4000:
      exception 'OMVException' with message 'Failed to execute command 'openssl x509 -text -noout -in /certs/a7b63a92-8559-4ac0-8eef-3742406b8272.crt 2>&1': Error opening Certificate /certs/a7b63a92-8559-4ac0-8eef-3742406b8272.crt
      3069732048:error:02001002:system library:fopen:No such file or directory:bss_file.c:398:fopen('/certs/a7b63a92-8559-4ac0-8eef-3742406b8272.crt','r')
      3069732048:error:20074002:BIO routines:FILE_CTRL:system lib:bss_file.c:400:
      unable to load certificate' in /usr/share/openmediavault/engined/rpc/certificatemgmt.inc:291
      Stack trace:
      #0 [internal function]: OMVRpcServiceCertificateMgmt->getDetail(Array, Array)
      #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('getDetail', Array, Array)
      #3 /usr/sbin/omv-engined(500): OMVRpc::exec('CertificateMgmt', 'getDetail', Array, Array, 1)
      #4 {main}


      An update via CLI is also not possible because there is an open update and the "passphrase" is allways needed:
      ...
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      1 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Setting up openmediavault (2.1.1) ...
      Updating configuration ...
      Reloading nginx configuration: nginx.
      Enter passphrase:
      load failed
      dpkg: error processing openmediavault (--configure):
      subprocess installed post-installation script returned error exit status 1
      Errors were encountered while processing:
      openmediavault
      ...

      The problem comes from a missing or corrupted /etc/default/openmediavault file. The path to the SSL certificates is defined via OMV_SSL_CERTIFICATE_DIR and OMV_SSL_CERTIFICATE_PREFIX which can be identified by the incorrect path '/certs/xxxx' which should be '/etc/ssl/certs/xxxx'.

      A problem with missing environment variable declarations in /etc/default/openmediavault can be caused by using SVN nightly builds during the development.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • Thank you for help with the certificate-details. :)
      The configurationfile you told, missed these two lines (the same values are in 'OMV_CERTIFICATE_...':
      OMV_SSL_CERTIFICATE_DIR="/etc/ssl"
      OMV_SSL_CERTIFICATE_PREFIX="openmediavault-"

      OK: I marked to watch for nightly builds.
      After unmarking, I had to install 'php5-pam'
      => web admin: 502 Bad Gateway - nginx
      ==> dpkg -i php5-pam_1.0.3-2_armhf.deb php5-proctitle_0.1.2-2_armhf.deb
      => web admin works again.
      ==> Is the current package for rpi correct?

      The problems at login "Error in Skript: 192.168.0.101/extjs/ext-all.js:22" and the need to enter a passphrase on update just exist.

      Some further ideas?
    • Hello,

      I have the same problem. You can find the output of my "dpkg --configure -a" below :

      Source Code

      1. toto@toto:/# dpkg --configure -a
      2. Paramétrage de openmediavault (2.1.3) ...
      3. Updating configuration ...
      4. Reloading nginx configuration: nginx.
      5. Enter passphrase:
      6. load failed
      7. dpkg: erreur de traitement de openmediavault (--configure) :
      8. le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
      9. dpkg: des problèmes de dépendances empêchent la configuration de openmediavault-omvextrasorg :
      10. openmediavault-omvextrasorg dépend de openmediavault (>= 1.12) ; cependant :
      11. Le paquet openmediavault n'est pas encore configuré.
      12. dpkg: erreur de traitement de openmediavault-omvextrasorg (--configure) :
      13. problèmes de dépendances - laissé non configuré
      14. Des erreurs ont été rencontrées pendant l'exécution :
      15. openmediavault
      16. openmediavault-omvextrasorg
      17. toto@toto:/#
      Display All


      I have the same error each time I try to install any update.
      Do you have some clues ?

      Thanks a lot.